require File.dirname(__FILE__) + '/lib/cache_by_domain.rb'

class VirtualDomainExtension < Radiant::Extension
  version "1.2"
  description "Allows you to host multiple web sites with one Radiant install"
  url "http://silverinsanity.com/~benji/radiant/"
  # url "http://theplant.jp/blog/2006/07/27/radiant-virtual-domain-plugin"

  def activate
    Page.send :mattr_accessor, :request
    require_dependency 'application'
    SiteController.send :alias_method, :show_page_orig, :show_page
    SiteController.send :remove_method, :show_page
    SiteController.send :include, CacheByDomain
    VirtualDomainPage
  end

  def deactivate
    SiteController.send :alias_method, :show_page, :show_page_orig
  end
end
